Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 5892)
@@ -2171,7 +2161,7 @@
                             indices = indices)
         #print "quantity.centroid_values",quantity.centroid_values
-        assert allclose(quantity.vertex_values[0], [0,7,0])
-        assert allclose(quantity.vertex_values[1], [7,1,7])
-        assert allclose(quantity.vertex_values[2], [7,2,7])
+        assert numpy.allclose(quantity.vertex_values[0], [0,7,0])
+        assert numpy.allclose(quantity.vertex_values[1], [7,1,7])
+        assert numpy.allclose(quantity.vertex_values[2], [7,2,7])
 
 
@@ -2182,5 +2172,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -2205,12 +2194,12 @@
 
         answer = [0.5,2,4,5,0,1,3,4.5]
-        assert allclose(answer,
-                        quantity.get_values(location = 'unique vertices'))
+        assert numpy.allclose(answer,
+                              quantity.get_values(location = 'unique vertices'))
 
         indices = [0,5,3]
         answer = [0.5,1,5]
-        assert allclose(answer,
-                        quantity.get_values(indices=indices, \
-                                            location = 'unique vertices'))
+        assert numpy.allclose(answer,
+                              quantity.get_values(indices=indices, 
+                                                  location = 'unique vertices'))
         #print "quantity.centroid_values",quantity.centroid_values
         #print "quantity.get_values(location = 'centroids') ",\
@@ -2241,24 +2230,24 @@
         quantity.set_values(lambda x, y: x+2*y) #2 4 4 6
         
-        assert allclose(quantity.get_values(location='centroids'), [2,4,4,6])
-        assert allclose(quantity.get_values(location='centroids', indices=[1,3]), [4,6])
-
-
-        assert allclose(quantity.get_values(location='vertices'), [[4,0,2],
-                                                                   [4,2,6],
-                                                                   [6,2,4],
-                                                                   [8,4,6]])
-        
-        assert allclose(quantity.get_values(location='vertices', indices=[1,3]), [[4,2,6],
-                                                                                  [8,4,6]])
-
-
-        assert allclose(quantity.get_values(location='edges'), [[1,3,2],
-                                                                [4,5,3],
-                                                                [3,5,4],
-                                                                [5,7,6]])
-        assert allclose(quantity.get_values(location='edges', indices=[1,3]),
-                        [[4,5,3],
-                         [5,7,6]])        
+        assert numpy.allclose(quantity.get_values(location='centroids'), [2,4,4,6])
+        assert numpy.allclose(quantity.get_values(location='centroids', indices=[1,3]), [4,6])
+
+
+        assert numpy.allclose(quantity.get_values(location='vertices'), [[4,0,2],
+                                                                         [4,2,6],
+                                                                         [6,2,4],
+                                                                         [8,4,6]])
+        
+        assert numpy.allclose(quantity.get_values(location='vertices', indices=[1,3]), [[4,2,6],
+                                                                                        [8,4,6]])
+
+
+        assert numpy.allclose(quantity.get_values(location='edges'), [[1,3,2],
+                                                                      [4,5,3],
+                                                                      [3,5,4],
+                                                                      [5,7,6]])
+        assert numpy.allclose(quantity.get_values(location='edges', indices=[1,3]),
+                              [[4,5,3],
+                               [5,7,6]])        
 
         # Check averaging over vertices
@@ -2280,5 +2269,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -2298,5 +2286,5 @@
         
         #print quantity.get_values(points=interpolation_points)
-        assert allclose(answer, quantity.get_values(interpolation_points=interpolation_points))
+        assert numpy.allclose(answer, quantity.get_values(interpolation_points=interpolation_points))
 
 
@@ -2311,6 +2299,6 @@
         #print answer
         #print quantity.get_values(interpolation_points=interpolation_points)
-        assert allclose(answer, quantity.get_values(interpolation_points=interpolation_points,
-                                                    verbose=False))        
+        assert numpy.allclose(answer, quantity.get_values(interpolation_points=interpolation_points,
+                                                          verbose=False))        
                         
 
@@ -2318,7 +2306,7 @@
         #indices = [0,5,3]
         #answer = [0.5,1,5]
-        #assert allclose(answer,
-        #                quantity.get_values(indices=indices, \
-        #                                    location = 'unique vertices'))
+        #assert numpy.allclose(answer,
+        #                      quantity.get_values(indices=indices,
+        #                                          location = 'unique vertices'))
 
 
@@ -2345,5 +2333,5 @@
         x, y = 2.0/3, 8.0/3
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 6)        
+        assert numpy.allclose(v, 6)        
 
         # Then another to test that algorithm won't blindly
@@ -2351,5 +2339,5 @@
         x, y = 4.0/3, 4.0/3
         v = quantity.get_values(interpolation_points = [[x,y]])
-        assert allclose(v, 4)        
+        assert numpy.allclose(v, 4)        
 
 
@@ -2380,5 +2368,5 @@
         x, y = 2.0/3, 8.0/3
         v = quantity.get_values(interpolation_points = [[x+xllcorner,y+yllcorner]])
-        assert allclose(v, 6)
+        assert numpy.allclose(v, 6)
         
 
@@ -2387,5 +2375,5 @@
         x, y = 4.0/3, 4.0/3
         v = quantity.get_values(interpolation_points = [[x+xllcorner,y+yllcorner]])
-        assert allclose(v, 4)        
+        assert numpy.allclose(v, 4)        
         
         # Try two points
@@ -2393,10 +2381,10 @@
                [4.0/3 + xllcorner, 4.0/3 + yllcorner]]         
         v = quantity.get_values(interpolation_points=pts)
-        assert allclose(v, [6, 4])               
+        assert numpy.allclose(v, [6, 4])               
         
         # Test it using the geospatial data format with absolute input points and default georef
         pts = Geospatial_data(data_points=pts)
         v = quantity.get_values(interpolation_points=pts)
-        assert allclose(v, [6, 4])                                
+        assert numpy.allclose(v, [6, 4])                                
         
         
@@ -2405,5 +2393,5 @@
                               geo_reference=Geo_reference(zone,xllcorner,yllcorner))
         v = quantity.get_values(interpolation_points=pts)
-        assert allclose(v, [6, 4])                        
+        assert numpy.allclose(v, [6, 4])                        
         
         
@@ -2416,5 +2404,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -2438,6 +2425,6 @@
         #print "quantity.get_values(location = 'centroids') ",\
         #      quantity.get_values(location = 'centroids')
-        assert allclose(quantity.centroid_values,
-                        quantity.get_values(location = 'centroids'))
+        assert numpy.allclose(quantity.centroid_values,
+                              quantity.get_values(location = 'centroids'))
 
 
@@ -2445,13 +2432,13 @@
         quantity.set_values(value, indices = indices)
         #print "1 quantity.vertex_values",quantity.vertex_values
-        assert allclose(quantity.vertex_values, quantity.get_values())
-
-        assert allclose(quantity.edge_values,
-                        quantity.get_values(location = 'edges'))
+        assert numpy.allclose(quantity.vertex_values, quantity.get_values())
+
+        assert numpy.allclose(quantity.edge_values,
+                              quantity.get_values(location = 'edges'))
 
         # get a subset of elements
         subset = quantity.get_values(location='centroids', indices=[0,5])
         answer = [quantity.centroid_values[0],quantity.centroid_values[5]]
-        assert allclose(subset, answer)
+        assert numpy.allclose(subset, answer)
 
 
@@ -2460,5 +2447,5 @@
         #print "subset",subset
         #print "answer",answer
-        assert allclose(subset, answer)
+        assert numpy.allclose(subset, answer)
 
         subset = quantity.get_values( indices=[1,5])
@@ -2466,5 +2453,5 @@
         #print "subset",subset
         #print "answer",answer
-        assert allclose(subset, answer)
+        assert numpy.allclose(subset, answer)
 
     def test_smooth_vertex_values(self):
@@ -2474,5 +2461,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -2501,6 +2487,6 @@
         
         #answer = [0.5, 2, 3, 3, 3.5, 4, 4, 5, 6.5]
-        #assert allclose(answer,
-        #                quantity.get_values(location = 'unique vertices'))
+        #assert numpy.allclose(answer,
+        #                      quantity.get_values(location = 'unique vertices'))
 
         quantity.smooth_vertex_values()
@@ -2512,6 +2498,6 @@
                                 [4,5,3],[3.5,3,5],[5,6.5,3.5],[4,3.5,6.5]]
         
-        assert allclose(answer_vertex_values,
-                        quantity.vertex_values)
+        assert numpy.allclose(answer_vertex_values,
+                              quantity.vertex_values)
         #print "quantity.centroid_values",quantity.centroid_values
         #print "quantity.get_values(location = 'centroids') ",\
@@ -2522,10 +2508,6 @@
 #-------------------------------------------------------------
 if __name__ == "__main__":
-    suite = unittest.makeSuite(Test_Quantity, 'test')    
-    #suite = unittest.makeSuite(Test_Quantity, 'test_set_values_from_file_using_polygon')
-
-    #suite = unittest.makeSuite(Test_Quantity, 'test_set_vertex_values_using_general_interface_with_subset')
-    #print "restricted test"
-    #suite = unittest.makeSuite(Test_Quantity,'verbose_test_set_values_from_UTM_pts')
+#    suite = unittest.makeSuite(Test_Quantity, 'test')    
+    suite = unittest.makeSuite(Test_Quantity, 'test_get_extrema_1')
     runner = unittest.TextTestRunner()
     runner.run(suite)
Index: /anuga_core/source/anuga/abstract_2d_finite_volumes/test_region.py
===================================================================
--- /anuga_core/source/anuga/abstract_2d_finite_volumes/test_region.py	(revision 5891)
+++ /anuga_core/source/anuga/abstract_2d_finite_volumes/test_region.py	(revision 5892)
@@ -6,6 +6,6 @@
 from domain import *
 from region import *
-#from anuga.config import epsilon
-from Numeric import allclose, average #, array, ones, Float
+import numpy
+
 """
 This is what the mesh in these tests look like;
@@ -44,5 +44,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -64,33 +63,33 @@
         domain.set_region([a, b])
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),\
-                        [[ 0.09,  0.09,  0.09],
-                         [ 0.09,  0.09,  0.09],
-                         [ 0.07,  0.07,  0.07],
-                         [ 0.07,  0.07,  0.07],
-                         [ 1.0,  1.0,  1.0],
-                         [ 1.0,  1.0,  1.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),
+                              [[ 0.09,  0.09,  0.09],
+                               [ 0.09,  0.09,  0.09],
+                               [ 0.07,  0.07,  0.07],
+                               [ 0.07,  0.07,  0.07],
+                               [ 1.0,  1.0,  1.0],
+                               [ 1.0,  1.0,  1.0]])
 
         #c = Add_Value_To_region('all', 'friction', 10.0)
         domain.set_region(Add_value_to_region('all', 'friction', 10.0))
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),
-                        [[ 10.09, 10.09, 10.09],
-                         [ 10.09, 10.09, 10.09],
-                         [ 10.07, 10.07, 10.07],
-                         [ 10.07, 10.07, 10.07],
-                         [ 11.0,  11.0,  11.0],
-                         [ 11.0,  11.0,  11.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),
+                              [[ 10.09, 10.09, 10.09],
+                               [ 10.09, 10.09, 10.09],
+                               [ 10.07, 10.07, 10.07],
+                               [ 10.07, 10.07, 10.07],
+                               [ 11.0,  11.0,  11.0],
+                               [ 11.0,  11.0,  11.0]])
 
         # trying a function
         domain.set_region(Set_region('top', 'friction', add_x_y))
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),
-                        [[ 10.09, 10.09, 10.09],
-                         [ 10.09, 10.09, 10.09],
-                         [ 10.07, 10.07, 10.07],
-                         [ 10.07, 10.07, 10.07],
-                         [ 5./3,  2.0,  2./3],
-                         [ 1.0,  2./3,  2.0]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),
+                              [[ 10.09, 10.09, 10.09],
+                               [ 10.09, 10.09, 10.09],
+                               [ 10.07, 10.07, 10.07],
+                               [ 10.07, 10.07, 10.07],
+                               [ 5./3,  2.0,  2./3],
+                               [ 1.0,  2./3,  2.0]])
 
         domain.set_quantity('elevation', 10.0)
@@ -98,11 +97,11 @@
         domain.set_region(Add_value_to_region('top', 'stage', 1.0,initial_quantity='elevation'))
         #print domain.quantities['stage'].get_values()
-        assert allclose(domain.quantities['stage'].get_values(),
-                        [[ 10., 10., 10.],
-                         [ 10., 10., 10.],
-                         [ 10., 10., 10.],
-                         [ 10., 10., 10.],
-                         [ 11.0,  11.0,  11.0],
-                         [ 11.0,  11.0,  11.0]])
+        assert numpy.allclose(domain.quantities['stage'].get_values(),
+                              [[ 10., 10., 10.],
+                               [ 10., 10., 10.],
+                               [ 10., 10., 10.],
+                               [ 10., 10., 10.],
+                               [ 11.0,  11.0,  11.0],
+                               [ 11.0,  11.0,  11.0]])
 
         
@@ -115,11 +114,11 @@
         domain.set_region(Add_quantities('top', 'elevation','stage'))
         #print domain.quantities['stage'].get_values()
-        assert allclose(domain.quantities['elevation'].get_values(),
-                        [[ 10., 10., 10.],
-                         [ 10., 10., 10.],
-                         [ 10., 10., 10.],
-                         [ 10., 10., 10.],
-                         [ 33.,  33.0,  33.],
-                         [ 33.0,  33.,  33.]])
+        assert numpy.allclose(domain.quantities['elevation'].get_values(),
+                              [[ 10., 10., 10.],
+                               [ 10., 10., 10.],
+                               [ 10., 10., 10.],
+                               [ 10., 10., 10.],
+                               [ 33.,  33.0,  33.],
+                               [ 33.0,  33.,  33.]])
         
     def test_unique_vertices(self):
@@ -129,5 +128,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -147,11 +145,11 @@
         domain.set_region(a)
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),\
-                        [[ 0.09,  0.09,  0.09],
-                         [ 0.09,  0.09,  0.09],
-                         [ 0.09,  0.07,  0.09],
-                         [ 0.07,  0.09,  0.07],
-                         [ 0.07,  0.07,  0.07],
-                         [ 0.07,  0.07,  0.07]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),\
+                              [[ 0.09,  0.09,  0.09],
+                               [ 0.09,  0.09,  0.09],
+                               [ 0.09,  0.07,  0.09],
+                               [ 0.07,  0.09,  0.07],
+                               [ 0.07,  0.07,  0.07],
+                               [ 0.07,  0.07,  0.07]])
 
 
@@ -162,5 +160,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -180,11 +177,11 @@
 
         #print domain.quantities['friction'].get_values()
-        assert allclose(domain.quantities['friction'].get_values(),\
-                        [[ 1.07,  1.07,  1.07],
-                         [ 1.07,  1.07,  1.07],
-                         [ 1.07,  0.07,  1.07],
-                         [ 0.07,  1.07,  0.07],
-                         [ 0.07,  0.07,  0.07],
-                         [ 0.07,  0.07,  0.07]])
+        assert numpy.allclose(domain.quantities['friction'].get_values(),\
+                              [[ 1.07,  1.07,  1.07],
+                               [ 1.07,  1.07,  1.07],
+                               [ 1.07,  0.07,  1.07],
+                               [ 0.07,  1.07,  0.07],
+                               [ 0.07,  0.07,  0.07],
+                               [ 0.07,  0.07,  0.07]])
                          
     def test_unique_vertices_average_loc_vert(self):
@@ -194,5 +191,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -218,8 +214,8 @@
         #print domain.quantities['friction'].get_values()
         frict_points = domain.quantities['friction'].get_values()
-        assert allclose(frict_points[0],\
-                        [ calc_frict, calc_frict, calc_frict])
-        assert allclose(frict_points[1],\
-                        [ calc_frict, calc_frict, calc_frict])
+        assert numpy.allclose(frict_points[0],
+                              [ calc_frict, calc_frict, calc_frict])
+        assert numpy.allclose(frict_points[1],
+                              [ calc_frict, calc_frict, calc_frict])
   
     def test_unique_vertices_average_loc_unique_vert(self):
@@ -229,5 +225,4 @@
         from mesh_factory import rectangular
         from shallow_water import Domain
-        from Numeric import zeros, Float
 
         #Create basic mesh
@@ -252,12 +247,12 @@
         #print domain.quantities['friction'].get_values()
         frict_points = domain.quantities['friction'].get_values()
-        assert allclose(frict_points[0],\
-                        [ calc_frict, calc_frict, calc_frict])
-        assert allclose(frict_points[1],\
-                        [ calc_frict, calc_frict, calc_frict])
-        assert allclose(frict_points[2],\
-                        [ calc_frict, 1.0 + 2.0/3.0, calc_frict])
-        assert allclose(frict_points[3],\
-                        [ 2.0/3.0,calc_frict, 1.0 + 2.0/3.0])
+        assert numpy.allclose(frict_points[0],
+                              [ calc_frict, calc_frict, calc_frict])
+        assert numpy.allclose(frict_points[1],
+                              [ calc_frict, calc_frict, calc_frict])
+        assert numpy.allclose(frict_points[2],
+                              [ calc_frict, 1.0 + 2.0/3.0, calc_frict])
+        assert numpy.allclose(frict_points[3],
+                              [ 2.0/3.0,calc_frict, 1.0 + 2.0/3.0])
                                                 
                          
@@ -265,4 +260,5 @@
 if __name__ == "__main__":
     suite = unittest.makeSuite(Test_Region,'test')
+##    suite = unittest.makeSuite(Test_Region,'test_unique_vertices_average_loc_unique_vert')
     runner = unittest.TextTestRunner()
     runner.run(suite)
